Documents

List documents

GET
/documents

List the documents in the Spaces the caller can read, optionally filtered by Space or status.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Query Parameters

space_id?string

Filter or parameter: space_id.

Formatuuid
status?string

Filter or parameter: status.

Value in

  • "PENDING_UPLOAD"
  • "UPLOADED"
  • "PROCESSING"
  • "PROCESSED"
  • "FAILED"
  • "ARCHIVED"
cursor?string

Opaque continuation cursor from the previous response.

Lengthlength <= 2048
limit?integer

Filter or parameter: limit.

Range1 <= value <= 100
Default50

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/documents"
{  "items": [    {      "id": "123e4567-e89b-42d3-a456-426614174000",      "tenant_id": "123e4567-e89b-42d3-a456-426614174000",      "workspace_id": "123e4567-e89b-42d3-a456-426614174000",      "space_id": "123e4567-e89b-42d3-a456-426614174000",      "folder_id": "123e4567-e89b-42d3-a456-426614174000",      "uploaded_by": {        "id": "123e4567-e89b-42d3-a456-426614174000",        "name": "Customer documents"      },      "file_name": "invoice-2026-09.pdf",      "content_type": "application/pdf",      "file_size": 0,      "storage_key": "tenants/acme/customer-documents/invoice-2026-09.pdf",      "status": "PENDING_UPLOAD",      "created_at": "2026-09-04T12:00:00Z",      "doc_origin": "UPLOADED",      "live_content_type": "MARKDOWN",      "has_active_collab_session": false,      "has_content": false    }  ],  "next_cursor": null}